# Get machine chaos infrastructure details

Get machine chaos infrastructure details

Endpoint: GET /gateway/chaos/manager/api/rest/machine/infra/{id}
Version: 1.0
Security: 

## Path parameters:

  - `id` (string, required)
    Machine Chaos Infra ID

## Query parameters:

  - `accountIdentifier` (string, required)
    account id that want to access the resource

  - `organizationIdentifier` (string, required)
    organization id that want to access the resource

  - `projectIdentifier` (string, required)
    project id that want to access the resource

  - `infraType` (string, required)
    type of chaos infrastructure, e.g. CloudFoundry, Windows, Linux, Container

## Response 200 fields (application/json):

  - `createdAt` (string)
    Timestamp when the infra was created

  - `createdBy` (object)
    User who created the infra

  - `createdBy.email` (string)

  - `createdBy.userID` (string)

  - `createdBy.username` (string)

  - `description` (string)
    Description of the infra

  - `environmentID` (string)
    Environment ID for the infra

  - `hostname` (string)
    Hostname of the infra

  - `infraID` (string)
    ID of the infra

  - `isActive` (boolean)
    Boolean value indicating if chaos infrastructure is active or not

  - `isInfraConfirmed` (boolean)
    Boolean value indicating if chaos infrastructure is confirmed or not

  - `isRegistered` (boolean)
    IsRegistered indicates if the infra is registered

  - `lastHeartbeat` (string)
    Last Heartbeat status sent by the infra

  - `lastWorkflowTimestamp` (string)
    Timestamp of the last workflow run in the infra

  - `name` (string)
    Name of the infra

  - `noOfSchedules` (integer)
    Number of schedules created in the infra

  - `noOfWorkflows` (integer)
    Number of workflows run in the infra

  - `startTime` (string)
    Timestamp when the infra got connected

  - `status` (string)
    Status of the infrastructure
    Enum: "ACTIVE", "INACTIVE", "PENDING"

  - `tags` (array)
    Tags of the infra

  - `updatedAt` (string)
    Timestamp when the infra was last updated

  - `updatedBy` (object)
    User who has updated the infra

  - `updatedBy.email` (string)

  - `updatedBy.userID` (string)

  - `updatedBy.username` (string)

  - `userInputs` (object)
    User inputs for the infra

  - `userInputs.abortPollInterval` (string)
    The interval at which abort is polled for a running task

  - `userInputs.chaosInfrastructureLogFileDirectory` (string)
    Name of the log file directory

  - `userInputs.chaosInfrastructureLogFileMaxBackups` (integer)
    Maximum number of log file backups

  - `userInputs.chaosInfrastructureLogFileMaxSize` (integer)
    Maximum size of log file in MB

  - `userInputs.customTlsCertificate` (string)
    TLS certificate to be used with the infrastructure

  - `userInputs.experimentLogFileMaxAgeDays` (integer)
    Maximum age of log file in days

  - `userInputs.httpClientTimeout` (string)
    The timeout duration for the infrastructure http client

  - `userInputs.httpProxy` (string)
    URL for the http proxy

  - `userInputs.httpsProxy` (string)
    URL for the https proxy

  - `userInputs.infraSpecificUserInputs` (object)
    Infra specific user inputs

  - `userInputs.infraSpecificUserInputs.cloudFoundryInfraUserInputs` (object)

  - `userInputs.infraSpecificUserInputs.cloudFoundryInfraUserInputs.allowedOrigins` (string)
    The origins to be exempted from CORS

  - `userInputs.infraSpecificUserInputs.cloudFoundryInfraUserInputs.httpPort` (string)
    The port at which CFCO should be started

  - `userInputs.infraSpecificUserInputs.cloudFoundryInfraUserInputs.livenessCheckInterval` (string)
    The interval at which app instances liveness is checked

  - `userInputs.infraSpecificUserInputs.cloudFoundryInfraUserInputs.maxHeartbeatDelay` (string)
    The maximum delay in the liveness update of app instances after which they get removed

  - `userInputs.infraSpecificUserInputs.containerInfraUserInputs` (object)

  - `userInputs.infraSpecificUserInputs.containerInfraUserInputs.deploymentType` (string)
    The deployment type for the container infrastructure
    Enum: "AWS_ECS_EC2", "AWS_ECS_FARGATE"

  - `userInputs.infraSpecificUserInputs.containerInfraUserInputs.platformType` (string)
    The platform type for the container infrastructure
    Enum: "AWS_ECS", "DOCKER_COMPOSE", "HASHICORP_NOMAD"

  - `userInputs.livenessUpdateInterval` (string)
    The interval at which chaos infrastructure updates liveness heartbeat

  - `userInputs.noProxy` (string)
    Comma separated URLs that won't be proxied

  - `userInputs.taskPollInterval` (string)
    The polling interval for fetching the new tasks

  - `userInputs.taskUpdateInterval` (string)
    Task update interval

  - `userInputs.updateRetries` (integer)
    Specifies the maximum number of retries in case of a failure while sending a task status or result

  - `userInputs.updateRetryInterval` (string)
    Specifies the interval between the subsequent attempts to send a fault status or result, in case of a failure

  - `version` (string)
    Version of the infra

## Response 400 fields (application/json):

  - `code` (string)
    Enum: "PIPELINE_NOT_FOUND"

  - `description` (string)

  - `message` (string)


